Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class PROCESS

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.JacobRunnable
              org.apache.ode.bpel.rtrep.v2.BpelJacobRunnable
                  org.apache.ode.bpel.rtrep.v2.PROCESS

All Implemented Interfaces:
  java.io.Serializable

    public class PROCESS

extends BpelJacobRunnable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.ode.bpel.rtrep.v2.BpelJacobRunnable
`_scopeFrame`

Constructor Summary
`PROCESS(OProcess process)`

Method Summary
`void` | `run()` Peform the template reduction, i.e.

Methods inherited from class org.apache.ode.bpel.rtrep.v2.BpelJacobRunnable
`createChild, createFault, createFault, createFault, genMonotonic, getBpelRuntime, initializeCorrelation, log`

Methods inherited from class org.apache.ode.jacob.JacobRunnable
`getImplementedMethods, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PROCESS

    public PROCESS(OProcess process)

Method Detail

### run

    public void run()

  Description copied from class: `JacobRunnable`
  Peform the template reduction, i.e. do whatever it is that the templetized process does. This method may do some combination of in-line Java, and JACOB operations.

  Note that JACOB operations are performed in parallel, so the sequencing of JACOB operations is irrelevant

  Specified by:
    `run` in class `JacobRunnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD